* this do file generates a name-job-year panel of CC members
cd ".\working"
set more off
use CC, clear
g Score=0
g CC=0
g AC=0
foreach num of numlist 8/18 {
replace Score=1 if job==`num'+.1 //alternate member of the Central Committee
replace Score=2 if job==`num' //Full member of the Central Committee

replace Score = 1 if job==6004 //Alternate Politburo member
replace Score = 2 if job==6003 //Full Politburo member
replace Score = 3 if job==6002 //Standing Politburo member
replace Score = 5 if job==6001 //General secretary:
replace Score = 1 if job==6005 | job==6007 //	Secretariat
replace Score = 1 if job==3005 // CMC
replace Score = 2 if job==3001 | job==3003 // CMC VC 

replace AC=1 if job==`num'+.1
*replace CC=1 if job==`num'+.1 //alternate member of the Central Committee
replace CC=1 if job==`num' //Full member of the Central Committee
}
g PB=(job>=6001 & job<=6004) //alternate member of the Central Committee
g PBSC=(job>=6001 & job<=6002) //Full member of the Central Committee

g state1=(floor(job/1000)==1)
g npc1=(floor(job/100)==40&job<=4009)  // NPC
g cppcc1=(floor(job/100)==45&job<=4509)   // CPPCC
g court1=(floor(job/1000)==5 )  // Court
g region1=(floor(job/1000)==2 & floor(job/10)-200<=30)
g party1=(floor(job/1000)==6 & job>6004 )
g military_c1=(floor(job/1000)==3)

/*
g cylc1=(floor(job/100)==66)
g shanghai1=(floor(job/10)==208)

local factionlist cylc shanghai
foreach faction of local factionlist  {
bysort id : egen `faction'=max(`faction'1) // apply the faction identification to all obs for the same id
drop `faction'1
}
*/
save CC_8_18, replace

* form a panel (with no gap)
foreach year of numlist 1956/2014  {
use CC_8_18, clear
keep if  year1<=`year' & year2>`year' //  restrict to new CC
g year=`year'
save CC_`year', replace
}


clear
foreach year of numlist 1956/2014  {
append using CC_`year'
}
duplicates drop
bysort id job year: g N=_N
tab N
drop N
sort id job year year1
duplicates drop id job year, force
// faction
merge m:1 id  using factionCC
drop if _m==2
drop _m

// current institution
local factionlist state region military_c npc cppcc court party
foreach faction of local factionlist  {
bysort id year: egen `faction'=max(`faction'1) // apply the faction identification to all obs for the same id in the same year
drop `faction'1
}
 
save CC_8_18_nogap_1, replace


// general secretary faction
use CC_8_18_nogap_1, clear
*keep if job==6001 | job==3001
g sample=.
replace sample=1 if name1=="Mao Zedong" & year>=1945 & year<1976
replace sample=1 if name1=="Hua Guofeng" & year>=1976 & year<1981
replace sample=1 if name1=="Hu Yaobang" & year>=1981 & year<1987
replace sample=1 if name1=="Zhao Ziyang" & year>=1987 & year<1989
replace sample=1 if name1=="Jiang Zemin" & year>=1989 & year<2002
replace sample=1 if name1=="Hu Jintao" & year>=2002 & year<2012
replace sample=1 if name1=="Xi Jinping" & year>=2012
keep if sample==1
replace Military=1 if name1=="Hua Guofeng"
keep id year CYLC Shanghai Tsinghua Military Princelings Neutral
duplicates drop 
local factionlist  CYLC Shanghai Tsinghua Military Princelings Neutral
foreach faction of local factionlist  {
rename `faction' `faction'_secretary
}
keep *_secretary year
sort year
replace Shanghai=1 if year>=1966 & year<1976
save faction_secretary, replace


// general secretary faction
use faction_secretary, clear
g CCyear=.
local yearlist 1956 1969 1973 1977 1982 1987 1992 1997 2002 2007 2012
foreach year of local yearlist   {
replace CCyear=1 if year==`year'
}
keep if CCyear==1
sort year
foreach var of varlist *_secretary {
 g `var'_L1=`var'[_n-1]
 g `var'_F1=`var'[_n+1]

}
g year_sec=year[_n+1]
order year year_sec
g CC_no=8 if year==1956
replace CC_no=9 if year==1969
replace CC_no=10 if year==1973
replace CC_no=11 if year==1977
replace CC_no=12 if year==1982
replace CC_no=13 if year==1987
replace CC_no=14 if year==1992
replace CC_no=15 if year==1997
replace CC_no=16 if year==2002
replace CC_no=17 if year==2007
replace CC_no=18 if year==2012

save faction_secretary_ccyear, replace


use CC_8_18_nogap_1, clear
merge m:1 year using faction_secretary
drop _m
save CC_8_18_nogap, replace
