cd "C:\Users\xiao\Dropbox\Chinese Politics\working"
* this file generates a mapping from CC id to CV name
import excel using "C:\Users\xiao\Dropbox\Chinese Politics\CC Data\CC_prov_code.xlsx", firstrow clear 
save CC_prov_code, replace

use CC, clear
rename name chinese_name
rename name1 name
rename birthpro1 code
replace code = code-1 // job code and bplace code are different by 1
rename birth byear
tostring byear, replace
merge m:1 code using CC_prov_code
keep if _m==3
drop _m

rename province bprovince

foreach num of numlist 14/18 {
g CC`num'_temp=(job==`num'|job==`num'+.1)
}

foreach num of numlist 14/18 {
bysort id: egen CC`num'=max(CC`num'_temp)
}

drop *_temp

keep id name chinese_name CC* gender bprovince byear
duplicates drop
sort name
drop if CC14+CC15+CC16+CC17+CC18==0
save CC1, replace



use China_Vitae_clean, clear

split bplace, p(" " ",")
g bprovince=bplace1
replace bprovince="Inner Mongolia" if bprovince=="Inner"
replace bprovince="Hong Kong/Macao" if bprovince=="Hong"
replace bprovince="Hong Kong/Macao" if bprovince=="Macao"
replace bprovince="" if bprovince=="NA"

drop bplace*

replace byear="" if byear=="NA"
foreach num of numlist 14/18 {
g CC`num'_temp=(org==",CPC,Central Committee"&year>=2012+5*`num'-90&year<2012+5*(`num'+1)-90)
}

foreach num of numlist 14/18 {
bysort name: egen CC`num'=max(CC`num'_temp)
}
drop *_temp
drop if CC14+CC15+CC16+CC17+CC18==0

keep name chinese_name CC* gender bprovince byear

foreach var of varlist chinese_name CC* gender bprovince byear {
rename `var' U`var'
}
duplicates drop

g name_CV=name
replace name=regexs(1) if (regexm(name, "([A-Za-z ]*)|[0-9]*$"))
replace name=rtrim(name)

sort name
g id_CV=_n
save CV1, replace //941 individuals


* merge
use CC1, clear //1028 individuals
reclink name  using CV1, gen(myscore) idm(id) idu(id_CV)
gsort - myscore
g dummy1=(myscore==1)
foreach var of varlist CC* {
replace dummy1=0 if `var'!=U`var'
}
order myscore name Uname chinese_name Uchinese_name byear Ubyear bprovince Ubprovince
save firstpass, replace

use firstpass, clear
keep if dummy1==1
keep id name_CV
rename name_CV name
save firstpass_match, replace


use firstpass, clear
drop if dummy1==1

foreach var of varlist chinese_name  Uchinese_name {
replace `var' = subinstr(`var', ".", "",.) 
replace `var' = subinstr(`var', "·", "",.) 
replace `var' = subinstr(`var', "•", "",.) 

}
g dummy2=(chinese_name ==Uchinese_name)
save secondpass, replace

use secondpass, clear
keep if dummy2==1
keep id name_CV
rename name_CV name
save secondpass_match, replace


use firstpass_match, clear
append using secondpass_match
save link_CC_CV, replace // 912 individuals 88%/97% matching rates
save link_CV_CC, replace // 912 individuals 88%/97% matching rates
