
cd ".\working"
import excel using "..\China Vitae\princeling_CV.xlsx", clear firstrow
keep if name!=""
duplicates drop name, force
isid name
save prince_CV, replace

*
insheet using "..\China Vitae\China_Vitae.csv", clear 
foreach v of var * {
	rename `v' `=`v'[1]'
}

drop in 1

* correcting parsing error
replace bplace = byear if regexm(byear,"Birthplace:")
replace bplace = subinstr(bplace,"Birthplace:","",.)
replace byear = "NA" if regexm(byear,"Birthplace:")
replace name = "Lv Fuyuan|271" if name=="Lü Fuyuan|271"

* change to position-year obs
g n = _n // unique id for each entry of cv
sort name n
by name: replace year = year[_n-1] if year==""
drop if missing(organization)
drop if missing(year)
replace year = year+" 2016" if substr(year,-3,.)=="—" 
split year, p("—")
replace year2 = subinstr(year2," ","",.) 
replace year1 = subinstr(year1," ","",.) 
replace year2=year1 if year2=="????"
replace year2=year1 if year2==""

destring year1 year2, replace force 
replace year2=year1 if year2==2016 & year1<2000 // some cv are missing the ending year, eg. Lu Ruihua
replace year2=year2-1000 if year2>=2900 // 19996-2996
replace year1=year1-1000 if year1>=2900
drop if missing(year1) // drop cases with missing bio
drop year
* drop non-useful items
drop if regexm(organization, ",Cultural Revolution")
drop if organization==",CPC" 
drop if organization==","

* create top org
g top_org = ""
replace top_org="CPC" if regexm(org, ",CPC,")
replace top_org="CYLC" if regexm(org, "CYLC")
replace top_org="GOV" if regexm(org, "People's Government")
replace top_org="PC" if regexm(org, "NPC") | regexm(org, "People's Congress")
replace top_org="CPPCC" if regexm(org, ",CPPCC")
replace top_org="Procuratorate" if regexm(org, "Procuratorate")
replace top_org="Court" if regexm(org, "Court")
replace top_org = "PLA" if regexm(org, "PLA") | regexm(org, "Military Commission") 
replace top_org = "SC" if regexm(org, "State Council") 
replace top_org = "SC" if regexm(org, "Ministry") 
replace top_org = "SC" if regexm(org, "State ") & (regexm(org, "Commission") | regexm(org, "Administration") | regexm(org, "Council") | regexm(org, "Bureau")) 
replace top_org = "SC" if regexm(org, "People's Bank of China") 
replace top_org = "SC" if regexm(org, "National Audit Office") 
replace top_org = "SC" if regexm(org, "General Administration of Civil Aviation of China") 
replace top_org = "SC" if regexm(org, "National Audit Office") 
replace top_org = "SC" if regexm(org, "General Administration of Customs") 
replace top_org = "SC" if regexm(org, "National Bureau of Statistics") 
replace top_org = "SC" if regexm(org, "State Intellectual Property Office") 
replace top_org = "SC" if regexm(org, "National Tourism Administration") 
replace top_org = "SC" if regexm(org, "Counselors' Office of the State Council") 
replace top_org = "SC" if regexm(org, "Xinhua News Agency") 
replace top_org = "SC" if regexm(org, "Chinese Academy of") 
replace top_org = "SC" if regexm(org, "China Seismological Bureau") 
replace top_org = "SC" if regexm(org, "National School of Administration") 
replace top_org = "SC" if regexm(org, "China Meteorological Administration") 
replace top_org = "SC" if regexm(org, "China Securities Regulatory Commission") 
replace top_org = "SC" if regexm(org, "China Meteorological Administration") 
replace top_org = "SC" if regexm(org, "National Council for Social Security Fund ") 
replace top_org = "SC" if regexm(org, "National Natural Science Foundation of China") 
replace top_org = "SC" if regexm(org, "National Administration for Protection of State Secrets") 

replace top_org = "Education" if regexm(org, "University") 
replace top_org = "Media" if regexm(org, "News") | regexm(org, "Daily") |  regexm(org, "Journal") | regexm(org, "Magazine") | regexm(org, "Press") ///
| regexm(org, "Broadcasting") | regexm(org, "Television") | regexm(org, "TV") | regexm(org, "Chinese Online") | regexm(org, "Sina") | regexm(org, "Sohu")
 
replace top_org = "Business" if top_org=="" & (regexm(org, "Company") |  regexm(org, "Ltd.") |  regexm(org, "Co.") |  regexm(org, "Corporation") |  regexm(org, "Group") ///
|  regexm(org, "Factory") |  regexm(org, "Bank")  |  regexm(org, "Plant") |  regexm(org, "Corps")  |  regexm(org, "Securit") |  regexm(org, "Holdings"))
* standardize role
g role_old = role
replace role = subinstr(role,"-", " ",.) 
replace role = subinstr(role,"1st", "First",.) 
replace role = subinstr(role,"2nd", "Second",.) 
replace role = subinstr(role,"3rd", "Third",.) 
replace role = subinstr(role,"Acting", "",.) 
replace role = subinstr(role,"Executive", "",.) 
replace role = subinstr(role,"General", "",.) 
replace role = subinstr(role,"Vice", "Deputy",.) 
replace role = subinstr(role,"Section", "",.) 

replace role = proper(role)
replace role = trim(role)
replace role = itrim(role)

* create vars
g duration=year2-year1

* merge with princilings
merge m:1 name using prince_CV
g prince=1 if _m==3
drop if _m==2
drop _m
save CV, replace

**********************
use CV, clear
set more off

g double job=.
* national
replace job=6001 if org==",CPC,Central Committee" & role_old=="General Secretary" 
replace job=1000 if org==",CPC,Central Committee" & role_old=="President" 
replace job=1001 if org==",State Council" & role_old=="Premier"
replace job=3001 if org==",Central Military Commission of the PRC" & role_old=="Chairman" 
replace job=4001 if org==",Standing Committee of the NPC" & role_old=="Chairman" 
replace job=4501 if org==",CPPCC,National Committee" & role_old=="Chairman" 
replace job=5001 if org==",Supreme People's Court" & role_old=="President" 
replace job=5011 if org==",Supreme People's Procuratorate" & (role_old=="Procurator General"|role_old=="Procurator-General")

* CC
tab role_old if org==",CPC,Central Committee,Politburo,Standing Committee"
replace job=6001 if org==",CPC,Central Committee" & role_old=="General Secretary" // general Secretary
replace job=6002 if org==",CPC,Central Committee,Politburo,Standing Committee" & role_old=="Member" //PBSC
replace job=6003 if org==",CPC,Central Committee,Politburo" & role_old=="Member" //Politburo
replace job=6004 if org==",CPC,Central Committee,Politburo" & role_old=="Alternate Member" //Politburo
replace job=6005 if org==",CPC,Central Committee,Politburo,Secretariat" // member=Shuji

foreach num of numlist 12/18 {
replace job=`num'+.1 if org==",CPC,Central Committee" & role_old=="Alternate Member" & year1<=2012-90+`num'*5 & year2>2012-90+`num'*5
replace job=`num' if org==",CPC,Central Committee" & role_old=="Member" & year1<=2012-90+`num'*5 & year2>2012-90+`num'*5
}

* Provincial
g prov_gov=0
replace prov_gov=1 if regexm(org, ",People's Government,[A-Za-z ]* Municipality$")
replace prov_gov=1 if regexm(org, ",People's Government,[A-Za-z ]* Province$")
replace prov_gov=1 if regexm(org, ",People's Government,[A-Za-z ]* Autonomous Region$")


g prov_sec=0
replace prov_sec=1 if regexm(org, ",CPC,Provincial Committee,[A-Za-z ]* Province$")
replace prov_sec=1 if regexm(org, ",CPC,Autonomous Regional Committee,[A-Za-z ]* Autonomous Region$") 
replace prov_sec=1 if regexm(org, ",CPC,Municipal Committee,[A-Za-z ]* Municipality$") 

g place=""
replace place=regexs(1) if (regexm(org, ",CPC,Provincial Committee,([A-Za-z ]*) Province$"))
replace place=regexs(1) if (regexm(org, ",CPC,Autonomous Regional Committee,([A-Za-z ]*) Autonomous Region$"))
replace place=regexs(1) if (regexm(org, ",CPC,Municipal Committee,([A-Za-z ]*) Municipality$"))
replace place=regexs(1) if (regexm(org, ",People's Government,([A-Za-z ]*) Municipality$"))
replace place=regexs(1) if (regexm(org, ",People's Government,([A-Za-z ]*) Province$"))
replace place=regexs(1) if (regexm(org, ",People's Government,([A-Za-z ]*) Autonomous Region$"))

replace place="Guangxi" if place=="Guangxi Zhuang"
replace place="Ningxia" if place=="Ningxia Hui"
replace place="Xinjiang" if place=="Xinjiang Uygur"

rename place province
merge m:1 province using CC_prov_code
drop if _m==2
drop _m
rename code prov_code

replace job= 2000+prov_code*10+1 if prov_sec==1 & role_old=="Secretary"
replace job= 2000+prov_code*10+1.1 if prov_gov==1 & (role=="Governor" | role=="Mayor")

* Ministry
g ministry=0
replace ministry=1 if regexm(org, ",Ministry of ([A-Za-z ]*)$")
//tab org if ministry==1, sort

tab org if ministry==1
egen ministry_code=group(org) if ministry==1
replace ministry_code=ministry_code+1

replace job=1000+ministry_code*10+1 if ministry==1 & role_old=="Minister"

* CC Departments under central committee
g sporg=organization
split sporg, p(",")

//tab sporg4 if sporg2=="CPC" & sporg3=="Central Committee"  & sporg4!="" & sporg4!="Politburo" & sporg5=="", sort
g department=1 if sporg2=="CPC" & sporg3=="Central Committee"  & sporg4!="" & sporg4!="Politburo" & sporg5==""
egen department_code=group(sporg4) if department==1
replace department_code=department_code+1
replace job=6000+department_code*10+1 if department==1 & (role_old=="Director"|role_old=="Head") & job==.


keep name chinese_name byear bplace gender nationality role organization n year1 year2 top_org ///
role_old job prov_gov prov_sec prov_code ministry department

g double job3=floor(job/10)
g double No=job-floor(job/10)*10
replace No=round(No, 0.1)
tostring No, replace force

save CV_coded, replace


**********
* Summary Stats
use CV, clear
merge m:1 name using factionCV_centric

g Gender=(gender=="male" | gender=="NA")

g Ethnicity=1-(nationality=="Han" | nationality=="NA")
replace Gender=. if gender=="NA"
replace Ethnicity=. if nationality=="NA"
replace byear="" if byear=="NA"
destring(byear), g(Birth) 
g Age=year1-Birth
replace top_org="Others" if top_org==""
replace top_org="Gover" if top_org=="SC"
replace top_org="Gover" if top_org=="GOV"
replace top_org="Party" if top_org=="CPC"
replace top_org="Congress" if top_org=="PC"
replace top_org="Party" if top_org=="CYLC"
replace top_org="Procu" if top_org=="Procuratorate"

rename duration Duration
rename Ethnicity EthnicMinor
g one=1

estpost tabstat Duration Age Gender EthnicMinor CYLC Shanghai  Military Princelings, by(top_org) ///
statistics(mean sd) columns(statistics) listwise

esttab . using "D:\Dropbox\Chinese Politics\paper\table_figure\SummaryCV.tex", ///
main(mean %9.2f) aux(sd %9.2f) nostar unstack  noobs nonote nomtitle nonumber   replace  


