cd .\working
***************************
*regression

use power_balance, clear

* Regression
g cons = 1 
g national=( province=="National")

replace Military1 = 1 if name1=="Hu Jintao"
replace Military2 = 1 if name2=="Hu Jintao"

eststo clear
local factionlist CYLC Shanghai Princelings Military
foreach faction of local factionlist {
capture: drop `faction'y1 
capture: drop `faction'y2 
capture: drop fe_cons

local y `faction'1
local x `faction'2
local c  if province!="Shanghai" 
eststo clear
eststo NoFE: reghdfe `y' `x'   `c', ab(cons) cluster( job3n)
		estadd local Sample "All"
		estadd local FE "No"
		estadd local FE2 "No"
eststo OrgFE: reg `y' `x'  `c' & national==0,cluster(job3n )
		estadd local Sample "Provincial"
		estadd local FE "Yes"
		estadd local FE2 "No"	
predict `faction'y1,xb 
g `faction'y2=_b[_cons] 
g `faction'_ratio_prov = `faction'y1/`faction'y2 if national==0
drop `faction'y1 
drop `faction'y2 

eststo Year_OrgFE: reg `y' `x'  `c' & national==1,  cluster(job3n)
		estadd local Sample "National"
		estadd local FE "Yes"
		estadd local FE2 "Yes"
predict `faction'y1,xb 
g `faction'y2=_b[_cons] 
g `faction'_ratio_national = `faction'y1/`faction'y2 if national==1
drop `faction'y1 
drop `faction'y2 


esttab 
esttab using "D:\Dropbox\Chinese Politics\paper\table_figure\\`faction'12.tex", ///
s(  Sample  N r2_a, label( "Sample" "Observations" "Adj. R-squared") fmt(0 0 3) ) ///
 mtitles("`y'" "`y'" "`y'"  )  ///
width(\hsize) se star(* 0.1 ** 0.05 *** 0.01) ar2  br lab mtitle  replace nocon nonotes

}


use power_balance, clear

* Regression
g cons = 1 
g national=( province=="National")

replace Military1 = 1 if name1=="Hu Jintao"
replace Military2 = 1 if name2=="Hu Jintao"

g congress = .
replace congress = 14 if year>=1992 & year<1997
replace congress = 15 if year>=1997 & year<2002
replace congress = 16 if year>=2002 & year<2007
replace congress = 17 if year>=2007 & year<2012
replace congress = 18 if year>=2012 & year<2017
replace congress = 19 if year>=2017 



eststo clear
local factionlist CYLC Shanghai Princelings Military
foreach faction of local factionlist {
capture: drop `faction'y1 
capture: drop `faction'y2 
capture: drop fe_cons

local y `faction'1
local x `faction'2
local c  if province!="Shanghai" 
eststo clear
eststo all: reghdfe `y' `x'   `c', ab(job3n congress) cluster( job3n)
		estadd local Sample "All"
		estadd local FE "Yes"
		estadd local FE2 "No"
eststo provincial: reghdfe `y' `x'  `c' & national==0, ab( job3n congress) cluster(job3n )
		estadd local Sample "Provincial"
		estadd local FE "Yes"
		estadd local FE2 "No"	
predict `faction'y1,xb 
g `faction'y2=_b[_cons] 
g `faction'_ratio_prov = `faction'y1/`faction'y2 if national==0
drop `faction'y1 
drop `faction'y2 

eststo national: reghdfe `y' `x'  `c' & national==1,  ab( job3n congress)  cluster(job3n)
		estadd local Sample "National"
		estadd local FE "Yes"
		estadd local FE2 "Yes"
predict `faction'y1,xb 
g `faction'y2=_b[_cons] 
g `faction'_ratio_national = `faction'y1/`faction'y2 if national==1
drop `faction'y1 
drop `faction'y2 


esttab 
esttab using "D:\Dropbox\Chinese Politics\paper\table_figure\\`faction'12_congress_fe.tex", ///
s(  Sample FE FE N r2_a, label( "Sample" "Postion F.E." "Congress F.E." "Observations" "Adj. R-squared") fmt(0 0 0 0 3) ) ///
 mtitles("`y'" "`y'" "`y'"  )  ///
width(\hsize) se star(* 0.1 ** 0.05 *** 0.01) ar2  br lab mtitle  replace nocon nonotes

}

* robustness: excluding CMC
use power_balance, clear

* Regression
g cons = 1 
g national=( province=="National")

replace Military1 = 1 if name1=="Hu Jintao"
replace Military2 = 1 if name2=="Hu Jintao"


eststo clear
local factionlist CYLC Shanghai Princelings Military
foreach faction of local factionlist {
capture: drop `faction'y1 
capture: drop `faction'y2 
capture: drop fe_cons

local y `faction'1
local x `faction'2
local c  if province!="Shanghai" & job3!="CMC"
eststo clear
eststo NoFE: reghdfe `y' `x'   `c', ab(cons) cluster( job3n)
		estadd local Sample "All"
		estadd local FE "No"
		estadd local FE2 "No"
eststo OrgFE: reg `y' `x'  `c' & national==0,cluster(job3n )
		estadd local Sample "Provincial"
		estadd local FE "Yes"
		estadd local FE2 "No"	
predict `faction'y1,xb 
g `faction'y2=_b[_cons] 
g `faction'_ratio_prov = `faction'y1/`faction'y2 if national==0
drop `faction'y1 
drop `faction'y2 

eststo Year_OrgFE: reg `y' `x'  `c' & national==1,  cluster(job3n)
		estadd local Sample "National"
		estadd local FE "Yes"
		estadd local FE2 "Yes"
predict `faction'y1,xb 
g `faction'y2=_b[_cons] 
g `faction'_ratio_national = `faction'y1/`faction'y2 if national==1
drop `faction'y1 
drop `faction'y2 


esttab 
esttab using "D:\Dropbox\Chinese Politics\paper\table_figure\\`faction'12_excl_cmc.tex", ///
s(  Sample  N r2_a, label( "Sample" "Observations" "Adj. R-squared") fmt(0 0 3) ) ///
 mtitles("`y'" "`y'" "`y'"  )  ///
width(\hsize) se star(* 0.1 ** 0.05 *** 0.01) ar2  br lab mtitle  replace nocon nonotes

}


* same-faction discount

* export moments

keep *_ratio_national *_ratio_prov
collapse *_ratio_national *_ratio_prov
xpose, clear  varname
outsheet using  "D:\Dropbox\Chinese Politics\code\moment\same_faction_discount.csv", comma nolabel replace



***************
* Momoment 5 groups
use power_balance, clear
drop if province=="Shanghai"
g F1=""
g F2=""
replace F1="5Neutral" if (CYLC1==0&Shanghai1==0)
replace F2="5Neutral" if (CYLC2==0&Shanghai2==0)
replace F1="4Military" if Military1==1
replace F2="4Military" if Military2==1
replace F1="1CYLC" if (CYLC1==1)
replace F2="1CYLC" if (CYLC2==1)
replace F1="2Shanghai" if (Shanghai1==1)
replace F2="2Shanghai" if (Shanghai2==1)
replace F1="3Princelings" if (Princelings1==1)
replace F2="3Princelings" if (Princelings2==1)

 estpost tabulate F1 F2  
 esttab . using "D:\Dropbox\Chinese Politics\code\moment\moment_pairing_5groups.csv", ///
unstack  noobs nomtitles nonumbers nodepvars replace cell( pct(fmt(2))) collabels(none) width(\hsize)
 estpost tabulate F1 F2  
esttab . using "D:\Dropbox\Chinese Politics\paper\table_figure\\pairing_5groups.tex", ///
unstack  noobs nomtitles nonumbers nodepvars replace cell( pct(fmt(2))) collabels(none) width(\hsize)

* esttab . using "D:\Dropbox\Chinese Politics\note\Tables\raw_pct.tex", ///
*unstack  noobs nomtitles nonumbers nodepvars replace cell( pct(fmt(2))) collabels(none) width(\hsize)


***************
* Momoment 5 groups (robust: exclude CMC)
use power_balance, clear
drop if province=="Shanghai"
drop if job3=="CMC"
g F1=""
g F2=""
replace F1="5Neutral" if (CYLC1==0&Shanghai1==0)
replace F2="5Neutral" if (CYLC2==0&Shanghai2==0)
replace F1="4Military" if Military1==1
replace F2="4Military" if Military2==1
replace F1="1CYLC" if (CYLC1==1)
replace F2="1CYLC" if (CYLC2==1)
replace F1="2Shanghai" if (Shanghai1==1)
replace F2="2Shanghai" if (Shanghai2==1)
replace F1="3Princelings" if (Princelings1==1)
replace F2="3Princelings" if (Princelings2==1)

 estpost tabulate F1 F2  
 esttab . using "D:\Dropbox\Chinese Politics\code\moment\moment_pairing_5groups_excl_cmc.csv", ///
unstack  noobs nomtitles nonumbers nodepvars replace cell( pct(fmt(2))) collabels(none) width(\hsize)
 estpost tabulate F1 F2  
esttab . using "D:\Dropbox\Chinese Politics\paper\table_figure\\pairing_5groups_excl_cmc.tex", ///
unstack  noobs nomtitles nonumbers nodepvars replace cell( pct(fmt(2))) collabels(none) width(\hsize)


