
cd ".\working"


*********************************************
set more off
local factionlist state region military_c npc cppcc court party CYLC Shanghai Military Tsinghua Princelings
foreach faction of local factionlist  {
use CC_8_18_nogap, clear
foreach var of varlist Score AC CC PB PBSC {
bysort `faction' year: egen `faction'_sum`var'=sum(`var')
}
keep year `faction' `faction'_sum*
duplicates drop
reshape wide `faction'_sum*, i(year) j(`faction')
save `faction', replace

}

clear
* merge
use state, clear
local list Score AC CC PB PBSC 
foreach item of local list {
g total`item' = state_sum`item'0+state_sum`item'1
}

local factionlist state region military_c npc cppcc court party CYLC Shanghai Military Tsinghua Princelings
foreach faction of local factionlist  {
merge 1:1 year using `faction'
drop _m
}

local factionlist state region military_c npc cppcc court party CYLC Shanghai Military Tsinghua Princelings
foreach faction of local factionlist {
local list Score AC CC PB PBSC
foreach item of local list {
g `faction'_`item'= `faction'_sum`item'1 /total`item'
}
drop `faction'_sum*
}
order year  
tsset year
save stability, replace 

use stability, clear 
keep if year<=2012
set more off
local measurelist Score 
foreach var of varlist totalScore-Princelings_PBSC  {
g `var'_temp=`var' if year==1990
egen `var'_1956=mean(`var'_temp)
replace `var'=`var'-`var'_1956
drop `var'_temp `var'_1956
}
save stability_std, replace 

// faction seat shares
use stability, clear
local measurelist Score AC CC PB PBSC 
foreach measure of local measurelist {
#delimit ;
twoway 

(tsline  CYLC_`measure', lpattern(solid) lcolor(maroon))
(tsline Shanghai_`measure', lpattern(dash) lcolor(navy))
(tsline  Military_`measure', lpattern(_-))
(tsline Princelings_`measure', lpattern(dash_dot))
, 
tline(1990)
title(`measure')
xtitle("")
xscale(range(1952 2014) noextend)
xlabel(1952(5)2014,angle(45) labsize(small)) 
ylab(#4, nogrid labsize(small))
graphregion(color(white))
legend(   label(1 "CYLC")  
 label(2 "Shanghai") 
 label(3 "Military")
    label(4 "Princelings") )
;
#delimit cr
graph save faction_`measure', replace
}

local measurelist Score AC CC PB PBSC 
foreach measure of local measurelist {
#delimit ;
twoway 

(tsline  CYLC_`measure', lpattern(solid) lcolor(maroon))
(tsline Shanghai_`measure', lpattern(dash) lcolor(navy))
(tsline  Military_`measure', lpattern(_-))
(tsline Princelings_`measure', lpattern(dash_dot)) if year>=1990
, 
tline(1990)
title(`measure')
xtitle("")
xscale(range(1987 2014) noextend)
xlabel(1987(5)2014,angle(45) labsize(small)) 
ylab(#4, nogrid labsize(small))
graphregion(color(white))
legend(   label(1 "CYLC")  
 label(2 "Shanghai") 
 label(3 "Military")
    label(4 "Princelings") )
;
#delimit cr
graph save faction_`measure'_1990, replace
}

grc1leg faction_AC.gph faction_CC.gph faction_PB.gph faction_PBSC.gph , col(2) graphregion(color(white))  title("")
graph save faction_all, replace
graph export  "D:\Dropbox\Chinese Politics\paper\table_figure\seat_share_stability.pdf", replace 




/// premia
use stability, clear 
// CYLC
local factionlist  CYLC 
foreach faction of local factionlist {
quietly: sum `faction'_Score
#delimit ;
twoway 
(scatteri `r(min)' `=1981' `r(min)'  `=1986', bcolor(gs15) recast(area) )
(scatteri `r(max)' `=1981' `r(max)'  `=1986', bcolor(gs15) recast(area) )
(scatteri `r(min)' `=2002' `r(min)'  `=2011', bcolor(gs15) recast(area) )
(scatteri `r(max)' `=2002' `r(max)'  `=2011', bcolor(gs15) recast(area) )
(tsline  `faction'_Score, lpattern(solid) lcolor(maroon)) 
	   ,
title(`faction')
xtitle("")
xscale(range(1952 2014) noextend)
xlabel(1952(5)2014,angle(45)) 
ylab(, nogrid)
graphregion(color(white))
legend(   off )
;
#delimit cr
graph save `faction'_Score, replace
}
// Shanghai
local factionlist  Shanghai 
foreach faction of local factionlist {
quietly: sum `faction'_Score
local ymin .02
local ymax .1
#delimit ;
twoway 
(scatteri `ymin' `=1989' `ymin'  `=2001', bcolor(gs15) recast(area) )
(scatteri `ymax' `=1989' `ymax'  `=2001', bcolor(gs15) recast(area) )
(scatteri `ymin' `=2012' `ymin'  `=2014', bcolor(gs15) recast(area) )
(scatteri `ymax' `=2012' `ymax'  `=2014', bcolor(gs15) recast(area) )
(tsline  `faction'_Score, lpattern(solid) lcolor(navy)) 
	   ,
title(`faction')
xtitle("")
xscale(range(1952 2014) noextend)
xlabel(1952(5)2014,angle(45)) 
ylab(, nogrid)
graphregion(color(white))
legend(   off )
;
#delimit cr
graph save `faction'_Score, replace
}


// Military
local factionlist  Military 
foreach faction of local factionlist {
quietly: sum `faction'_Score
#delimit ;
twoway 
(scatteri `r(min)' `=1956' `r(min)'  `=1988', bcolor(gs15) recast(area) )
(scatteri `r(max)' `=1956' `r(max)'  `=1988', bcolor(gs15) recast(area) )
(tsline  `faction'_Score, lpattern(solid) lcolor(forest_green)) 
	   ,
title(`faction')
xtitle("")
xscale(range(1952 2014) noextend)
xlabel(1952(5)2014,angle(45)) 
ylab(, nogrid)
graphregion(color(white))
legend(   off )
;
#delimit cr
graph save `faction'_Score, replace
}
// Princelings
local factionlist  Princelings 
foreach faction of local factionlist {
quietly: sum `faction'_Score
local ymin 0
local ymax .1

#delimit ;
twoway 
(scatteri `ymin' `=2012' `ymin'  `=2014', bcolor(gs15) recast(area) )
(scatteri `ymax' `=2012' `ymax'  `=2014', bcolor(gs15) recast(area) )
(tsline  `faction'_Score, lpattern(solid) lcolor(dkorange)) 
	   ,
title(`faction')
xtitle("")
xscale(range(1952 2014) noextend)
xlabel(1952(5)2014,angle(45)) 
ylab(, nogrid)
graphregion(color(white))
legend(   off )
;
#delimit cr
graph save `faction'_Score, replace
}

graph combine CYLC_Score.gph Shanghai_Score.gph Military_Score.gph Princelings_Score.gph, graphregion(color(white))
graph export  "D:\Dropbox\Chinese Politics\paper\table_figure\premia.pdf", replace 

