# -*- coding: utf-8 -*-

import copy
import time
import pandas as pd
import random
import numpy as np
from collections import Counter
from scipy.stats import mstats
from .parameters import *


def getdata(file):

    with open(file) as f:
        line=f.readlines()

    res=[]
    count=0
    diff=[]
    for row in line:
        count+=1
        if count<21:
            row=row[2:].strip()
            if 'CYLC' in row:
                tmp=row.split("CYLC")
                contents=tmp[0].strip()
                data=[float(i) for i in tmp[1].split()]
                res.append([contents,"CYLC"]+data)
            if 'Shanghai' in row:
                tmp=row.split("Shanghai")
                contents=tmp[0].strip()
                data=[float(i) for i in tmp[1].split()]
                res.append([contents,"Shanghai"]+data)
            if 'Princelings' in row:
                tmp=row.split("Princelings")
                contents=tmp[0].strip()
                data=[float(i) for i in tmp[1].split()]
                res.append([contents,"Princelings"]+data)
            if 'Military' in row:
                tmp=row.split("Military")
                contents=tmp[0].strip()
                data=[float(i) for i in tmp[1].split()]
                res.append([contents,"Military"]+data)
            if 'total' in row:
                tmp=row.split("total")
                contents=tmp[0].strip()
                data=[float(i) for i in tmp[1].split()]
                res.append([contents,"total"]+data)

    res=pd.DataFrame(res).rename(columns={0:'contents',1:'faction',2:'true',3:'estimate'})
    
    return res


def using_mstats(s):
    return mstats.winsorize(s, limits=[0.05, 0.05])





def simulated_best_x_moments(file,version,num):
    res=[]
    file=Grid_data+"\\"+version+"\\moments\\"+file+"."
    true=getdata(file+str(1))[['contents','faction','true']]
    for i in range(1,num+1):
        tmp=getdata(file+str(i))
        res.append(tmp[['contents','faction','estimate']].set_index(['contents','faction']))

    data=pd.concat(res,axis=0).reset_index()
#     data['estimate']=data.groupby(['contents','faction']).transform(lambda x: using_mstats(x))
    data=data.groupby(['contents','faction']).agg({'estimate':[np.mean,np.std]}).reset_index()
    data.columns=['contents','faction','estimated mean','estimated std']
    data=true.merge(data,on=['contents','faction'])
    data['diff']=(data['estimated mean']-data['true'])/data['estimated std']
    
    data['tmp']=', '
    data['Moments']=data['contents']+data['tmp']+data['faction']

    order_best_x = ['Faction premia: CC/AC ratio, CYLC',
             'Faction premia: CC/AC ratio, Shanghai',
             'Faction premia: leader, CYLC',
             'Faction premia: leader, Shanghai',
             'Faction premia: leader, Military',
             'Faction premia: leader, Princelings',
             'Faction premia: SC share, CYLC',
             'Faction premia: SC share, Shanghai',
             'Faction premia: SC share, Princelings',
             'Faction premia: SC share, Military',
             'Same-faction discount: national, CYLC',
             'Same-faction discount: national, Shanghai',
             'Same-faction discount: provincial, CYLC',
             'Same-faction discount: provincial, Shanghai',
             'Ability R-squared, total']

    renamecol={'true':'Actual','estimated mean':'Simulated'}
    outputpath=folder+"\\Results\\Tables\\"+version+"\\moments.tex"


    data[['Moments','true','estimated mean']].set_index('Moments'). \
        loc[order_best_x].round(3).rename(columns=renamecol).reset_index().to_latex(index=False,buf=outputpath)
































