# -*- coding: utf-8 -*-


import copy
import time
import pandas as pd
import random
import numpy as np
from collections import Counter
from matplotlib.backends.backend_pdf import PdfPages
import matplotlib.pyplot as plt
import matplotlib as mlp
from scipy.stats import mstats


from .parameters import *

def untargeted_moments_table(filepath,version):
    with open(filepath) as f:
        line=f.readlines()
        
        pds=[]
        tmp=[]
        path=[line[0]]
        for thisline in line[1:]:
            if 'ladder' in thisline:continue
                
            if 'CYLC' in thisline:
                columns=thisline.strip().split()
            elif "*" not in thisline:
                tmpline=thisline.strip().split()
                if 'Top' in tmpline: 
                    a=tmpline[0]+' '+tmpline[1]
                    b=tmpline[2:]
                    tmpline=[a]+b
                tmp.append(tmpline)
                
            else:
                path.append(thisline)
                colname=['']+columns
                res=pd.DataFrame(tmp,columns=colname).set_index('')
                for f in columns:
                    res[f]=res[f].astype(float)
                pds.append(res)
                tmp=[]
        colname=['']+columns
        res=pd.DataFrame(tmp,columns=colname).set_index('')
        for f in columns:
            res[f]=res[f].astype(float)
        pds.append(res)
        
        
        data=[]
        for eachdf in pds:
            out=path.pop(0)
            while "*" in out:
                out=out.strip()
                out=out.strip("*")
            outpath=folder+"\\Results\\Tables\\"+version+"\\untargeted_5group5ladder_"+out+".tex"
            eachdf['sum']=eachdf.sum(axis=1)
            output=eachdf.apply(lambda x: x/x['sum'],axis=1)[["CYLC", "Shanghai", "Princelings","Military","Neutral"]]
    
            output.round(3).reset_index().rename(columns={'index':''}).to_latex(index=False,encoding='utf-8',buf=outpath)
            












