clear
set more off

global folder "C:\Users\zhuoli\Dropbox\KairongZhuoli\15_china"



use "$folder\Data\CC14-18\CC_8_18_nogap.dta",clear


keep if PB==1 | CC==1
gen faction="Neutral"
replace faction="CYLC" if CYLC==1
replace faction="SH" if Shanghai==1
replace faction="Military" if Military==1
replace faction="Princelings" if Princelings==1

encode faction, gen(efaction)

gen level=1 if CC==1
replace level=2 if level==.
keep id year1 year2 level efaction

duplicates drop * ,force
gen tmp=_n
sort id year1 year2
reshape long year,i(tmp id level efaction) j(career)

tsset tmp year
tsfill
bysort tmp: replace id=id[_n-1] if id==.
bysort tmp: replace level=level[_n-1] if level==.
bysort tmp: replace career=career[_n-1] if career==.
bysort tmp: replace efaction=efaction[_n-1] if efaction==.

drop if career==2
gen time=.
replace time=8 if year>=1956 & year<1969
replace time=9 if year>=1969 & year<1973
replace time=10 if year>=1973 & year<1977
replace time=11 if year>=1977 & year<1982
replace time=12 if year>=1982 & year<1987
replace time=13 if year>=1987 & year<1992
replace time=14 if year>=1992 & year<1997
replace time=15 if year>=1997 & year<2002
replace time=16 if year>=2002 & year<2007
replace time=17 if year>=2007 & year<2012
replace time=18 if year>=2012 & year<2017

drop if time==.

drop year career
duplicates drop * ,force
sort time level tmp
bys time: egen ccnbr=count(id) if level==1
bys time: egen pbnbr=count(id) if level==2

bys time: egen cccylc=count(id) if level==1 & efaction==1
bys time: egen ccshanghai=count(id) if level==1 & efaction==5
bys time: egen ccpri=count(id) if level==1 & efaction==4
bys time: egen ccmili=count(id) if level==1 & efaction==2
bys time: egen ccneu=count(id) if level==1 & efaction==3

bys time: egen pbcylc=count(id) if level==2 & efaction==1
bys time: egen pbshanghai=count(id) if level==2 & efaction==5
bys time: egen pbpri=count(id) if level==2 & efaction==4
bys time: egen pbmili=count(id) if level==2 & efaction==2
bys time: egen pbneu=count(id) if level==2 & efaction==3


foreach i in "cylc" "shanghai" "pri" "mili" "neu"{
	foreach	j in "pb" "cc"{
		g tmp`j'`i'=`j'`i'/`j'nbr
		bys time: egen share_`j'`i'=max(tmp`j'`i')
		replace share_`j'`i'=0 if share_`j'`i'==.
	}
}


keep time share_*
duplicates drop * ,force


/*
    Variable |        Obs        Mean    Std. Dev.       Min        Max
-------------+---------------------------------------------------------
        time |         11          13    3.316625          8         18
share_pbcylc |         11    .0948413    .0808485          0   .2083333
share_cccylc |         11    .0415429    .0331999   .0059172   .0985222
share_pbsh~i |         11    .0829865    .0581868   .0238095   .1923077
share_ccsh~i |         11    .0355206    .0063353    .026087       .045
-------------+---------------------------------------------------------
 share_pbpri |         11    .0922235    .0918502          0   .2692308
 share_ccpri |         11    .0451649    .0259385   .0118343   .0886699
share_pbmili |         11    .3193436    .2773479   .0714286   .6785714
share_ccmili |         11    .3400278    .1667428   .1658537   .5857988
 share_pbneu |         11    .4106051    .1095907        .25   .6296296
-------------+---------------------------------------------------------
 share_ccneu |         11    .5377438    .1180382   .3668639   .6565657

*/

gen dpb_cylc=abs(share_pbcylc-0.0948413)
gen dpb_shanghai=abs(share_pbshanghai-0.0829865)
gen dpb_pri=abs(share_pbpri-0.0922235)
gen dpb_mili=abs(share_pbmili-0.3193436)
gen dpb_neu=abs(share_pbne-0.4106051)

gen dcc_cylc=abs(share_cccylc-.0415429)
gen dcc_shanghai=abs(share_ccshanghai-0.0355206)
gen dcc_pri=abs(share_ccpri-0.0451649)
gen dcc_mili=abs(share_ccmili-0.3400278)
gen dcc_neu=abs(share_ccne-0.5377438)

gen pbmalapportionment =dpb_cylc+dpb_shanghai+dpb_pri+dpb_mili+dpb_neu
gen ccmalapportionment =dcc_cylc+dcc_shanghai+dcc_pri+dcc_mili+dcc_neu

tsset time
foreach	j in "pb" "cc"{
	gen d2`j'_cylc=abs(d1.share_`j'cylc)
	gen d2`j'_shanghai=abs(d1.share_`j'shanghai)
	gen d2`j'_pri=abs(d1.share_`j'pri)
	gen d2`j'_mili=abs(d1.share_`j'mili)
	gen d2`j'_neu=abs(d1.share_`j'ne)
}
egen short_pbinstability=rowtotal(d2pb_cylc-d2pb_neu)
egen short_ccinstability=rowtotal(d2cc_cylc-d2cc_neu)
drop d2*


foreach	j in "pb" "cc"{
	gen d2`j'_cylc=abs(d2.share_`j'cylc)
	gen d2`j'_shanghai=abs(d2.share_`j'shanghai)
	gen d2`j'_pri=abs(d2.share_`j'pri)
	gen d2`j'_mili=abs(d2.share_`j'mili)
	gen d2`j'_neu=abs(d2.share_`j'ne)
}
egen long_pbinstability=rowtotal(d2pb_cylc-d2pb_neu)
egen long_ccinstability=rowtotal(d2cc_cylc-d2cc_neu)
drop d2*

* keep time *malapportionment short_* long_*
save "$folder\Data\CC14-18\CC_8_18_nogap_stats.dta",replace
