# -*- coding: utf-8 -*-


import os,sys
parentfolder = r"C:\Users\zhuoli\Desktop\China_Project"
Grid_data=parentfolder+"\\Grid Output"

paths= r"C:\Users\zhuoli\Desktop\China_Project\Code\Create_TableGraphs\Create figures and tables"
os.chdir(paths)


from TableGraphTools.Hypothesis import *
from TableGraphTools.parameters import *

from TableGraphTools.Graphs import *
from TableGraphTools.Simulated_moments import *
from TableGraphTools.Simulated_moments_means import *
from TableGraphTools.Untargeted_moments import *





##################################
#   Hypothesis test
#################################
version="speed_v5_1up1congress_corrected"
file1="hypothesis_test_SMM_v3.py.o1090017"
generate_res(file1,version,method=None)




##################################
#   Counterfactual plots
#################################
version="speed_v5_1up1congress_corrected"
# file="counterfactuals_noACrestrictionv3.py.o4135468"  # N=20
file="counterfactuals_noACrestrictionv3.py.o4136318"  # N=100
filepath=Grid_data+"\\"+version+"\\"+file

if os.path.isfile(Grid_data+"\\"+version+"\\"+file+".csv"):
    raw=pd.read_csv(Grid_data+"\\"+version+"\\"+file+".csv")
else:
    raw=readdata(filepath)
    raw.to_csv(Grid_data+"\\"+version+"\\"+file+".csv")

data=total_pd(raw)

seed_num=raw['number'].max()
for i in range(seed_num):
    tmpdata=data[data['number']==i].rename(columns={'timeline':'congress'}).set_index('congress')
    plot_rollings(tmpdata,i,version)



##################################
#   Tables- counterfactuals
#################################
version="speed_v5_1up1congress_corrected"
file="counterfactuals_noACrestrictionv3.py.o4136318"  # N=100

filepath=Grid_data+"\\"+version+"\\"+file

if os.path.isfile(Grid_data+"\\"+version+"\\"+file+".csv"):
    raw=pd.read_csv(Grid_data+"\\"+version+"\\"+file+".csv")
else:
    raw=readdata(filepath)
    raw.to_csv(Grid_data+"\\"+version+"\\"+file+".csv")

data=total_pd_v2(raw)
data=data.replace([np.inf, -np.inf], np.nan)
stats = data[data['timeline'] > 0]

produce_tables_inSimulated_moments( data , stats , version)






##################################
#   Tables- moments
#################################
version="speed_v5_1up1congress_corrected"
file="singlepoint_version4_entry3.py.o1089419"
simulated_best_x_moments(file,version,200)

version="speed_v5_1up1congress_corrected"
file="singlepoint_untargeted_moments.py.o1090729"
filepath=Grid_data+"\\"+version+"\\"+file
untargeted_moments_table(filepath,version)








