clear
set more off


global folder "C:\Users\zhuoli\Dropbox\KairongZhuoli\15_china"


****************************
* Data adding Military back
****************************
import excel "$folder\Data\CC19\19thCC_BlindaChen.xlsx", sheet("Sheet1") firstrow clear

foreach var of varlist CYLC SH Military Princelings{
	destring `var', replace force
}
gen faction="Neutral"
replace faction="CYLC" if CYLC==1
replace faction="SH" if SH==1
replace faction="Military" if Military==1
replace faction="Princelings" if Princelings==1

gen CC=1
keep name CC faction
duplicates drop *,force
save "$folder\Data\CC19\19thCC_BlindaChen.dta",replace


****************************
* CC & AC
****************************
import excel "$folder\Data\CC19\AC19 v2.xlsx", sheet("Sheet1") firstrow clear
keep name name1 CYLC Shanghai Princelings Military Neutral
gen faction="Neutral"
replace faction="CYLC" if CYLC==1
replace faction="Shanghai" if Shanghai==1
replace faction="Military" if Military==1
replace faction="Princelings" if Princelings==1
save "$folder\Data\CC19\AC19 v2.dta",replace

import excel "$folder\Data\CC19\CC19 v2.xlsx", sheet("Sheet1") firstrow clear
keep name CYLC Shanghai Military Princelings Neutral
gen faction="Neutral"
replace faction="CYLC" if CYLC==1
replace faction="Shanghai" if Shanghai==1
replace faction="Military" if Military==1
replace faction="Princelings" if Princelings==1
save "$folder\Data\CC19\CC19 v2.dta",replace

 
****************************
* PB data
****************************
use "$folder\Data\CC19\CC19.dta",clear
keep if PB==1
keep name1
set obs 26
replace name1 = "You Quan" in 26

merge 1:m name1  using "$folder\Data\CC19\factionCC" 
drop if _m==2
drop _m

replace Neutral = 1 if name1=="Cai Qi"
replace Neutral = 1 if name1=="Chen Min'er"
replace Military = 1 if name1=="Chen Quanguo"
replace Shanghai = 1 if name1=="Yang Xiaodu"

replace name = "蔡奇" if name1=="Cai Qi"
replace name = "陈敏尔" if name1=="Chen Min'er"
replace name = "陈全国" if name1=="Chen Quanguo"
replace name = "杨晓渡" if name1=="Yang Xiaodu"
save "$folder\Data\CC19\19PB.dta",replace


****************************
*	Total of 19th
****************************
use "$folder\Data\CC19\19PB.dta",clear

keep name name1 CYLC Shanghai Military Princelings Neutral
duplicates drop *,force

gen level=2
replace level=3 if name=="栗战书" | name=="汪洋" | name=="王沪宁" | ///
name=="赵乐际" | name=="韩正"
replace level=4 if name=="习近平" | name=="李克强"

gen faction="Neutral"
replace faction="CYLC" if CYLC==1
replace faction="Shanghai" if Shanghai==1
replace faction="Military" if Military==1
replace faction="Princelings" if Princelings==1

append using "$folder\Data\CC19\CC19 v2.dta",force
replace level=1 if level==.

append using "$folder\Data\CC19\AC19 v2.dta",force
replace level=0 if level==.

save "$folder\Data\CC19\19th.dta",replace

//import Princelings
use "$folder\Data\CC19\promotion_regression_sample.dta", clear
keep if Princelings==1
keep if year2>=2017
keep name name1
duplicates drop *,force

merge 1:m name using "$folder\Data\CC19\19th.dta"
replace faction="Princelings" if _m==3
drop if _m==1
drop _m
save "$folder\Data\CC19\19th.dta",replace


use "$folder\Data\CC19\19th.dta",clear
tab faction level 
tab  level  faction


use "$folder\Data\CC19\promotion_regression_sample.dta", clear
keep if year2>=2017
keep name ladder 
duplicates drop *,force
gen level=abs(ladder-4)
replace level=4 if name=="习近平"
replace level=4 if name=="李克强"
rename level level2017
save ".\tmp.dta",replace

use "$folder\Data\CC19\19th.dta",clear
merge m:1 name using ".\tmp.dta"
drop if _m==2
drop _m
gen promoted=1 if level>level2017 & level2017!=.
replace promoted=0 if promoted==.
tab level2017 faction if promoted==1



****************************
*	18-distribution
****************************
use "$folder\Data\CC19\promotion_regression_sample.dta", clear

sort id year1 year2
order name year1 year2 ladder ,after(id)

bys id: egen maxyear=max(year2)
order maxyear,after(ladder)
keep if maxyear>=2017

bys id: g promoted_lasttime=ladder-ladder[_n-1] if year2==2017
order promoted_lasttime,after(maxyear)

g stayyear=year2-year1[_n-1] if promoted_lasttime==0
order stayyear,after(promoted_lasttime)

gen mustretire=(stayyear==10)

gen faction="Neutral"
replace faction="CYLC" if CYLC==1
replace faction="Shanghai" if Shanghai==1
replace faction="Military" if Military==1
replace faction="Princelings" if Princelings==1

keep id name name1 year1 year2 ladder faction mustretire
keep if year2>=2017

duplicates drop id name ladder,force

tab mustretire ladder
tab faction ladder 
tab ladder faction  

tab mustretire faction if ladder==0
tab mustretire faction if ladder==1
tab mustretire faction if ladder==2
tab mustretire faction if ladder==3
tab mustretire faction if ladder==4

