# -*- coding: utf-8 -*-
import numpy as np

def optimize(x0, function, step_sizes, bounds):
    """ for minimization, minimum value possible is 0 """


    step_sizes_copy=step_sizes*1
    best_x = x0
    best_result_history=[]
    best_result_inhistory=1e20
    iteration_best_result=function(np.array(best_x),None)
    iteration_best_x=best_x*1
    best_result = iteration_best_result+0
    last_i7=float('inf')
    
    # starting with big step size
    while len(step_sizes)>0:
        step=step_sizes.pop(0)

        while True:
            increase=[0]*len(best_x)
            propose_x = best_x.copy()
            
            # shift one parameter
            for i in range(len(step)):
                lower,upper=bounds[i]
                tmpd=step[i]
                
                propose_x[i] = propose_x[i]+tmpd
                if propose_x[i]<=upper: 
                    proposed_result1 = function(np.array(propose_x),i)
                else:
                    proposed_result1= float('inf')
                
                propose_x[i] = propose_x[i]-2*tmpd
                if propose_x[i]>=lower:
                    proposed_result2 = function(np.array(propose_x),i)
                else:
                    proposed_result2= float('inf')

                propose_x[i] = propose_x[i]+tmpd
                
                if i!=7 and min(proposed_result1,proposed_result2) < iteration_best_result:
                    iteration_best_result = min(proposed_result1,proposed_result2)
                    if min(proposed_result1,proposed_result2)==proposed_result1:
                        iteration_best_x=propose_x*1
                        iteration_best_x[i] = iteration_best_x[i]+tmpd
                    else:
                        iteration_best_x=propose_x*1
                        iteration_best_x[i] = iteration_best_x[i]-tmpd 


                if min(proposed_result1,proposed_result2) < best_result:
                    if proposed_result1<proposed_result2:
                        increase[i]=tmpd
                    else:
                        increase[i]=-tmpd

                if i==7 and min(proposed_result1,proposed_result2) < last_i7:
                    last_i7=min(proposed_result1,proposed_result2)*1
                    if proposed_result1<proposed_result2:
                        increase[i]=tmpd
                    else:
                        increase[i]=-tmpd

            if iteration_best_result < best_result:
                best_result = iteration_best_result+0

                tmpbest_x=[best_x[i]+increase[i] for i in range(len(best_x))]
                tmpiteration_best_result=function(np.array(tmpbest_x),None)

                if tmpiteration_best_result not in best_result_history:
                    best_x=tmpbest_x*1
                    iteration_best_result=tmpiteration_best_result*1
                    best_result=iteration_best_result*1
                    best_result_history.append(iteration_best_result)
                else:
                    if iteration_best_result<tmpiteration_best_result:
                        best_x=iteration_best_x*1
                        best_result=iteration_best_result+0
                    else:
                        best_x=tmpbest_x*1
                        best_result = tmpiteration_best_result+0
                    best_result_history.append(best_result)

                print("better x found:")
                print(best_x)
                print("better result found:")
                print(best_result)

            else:
                break
    print("best x found:")
    print(best_x)
    print("best result found:")
    print(best_result)

    return [best_x,best_result]
















