# -*- coding: utf-8 -*-

import numpy as np
import pickle
import os

parent_file=os.path.abspath(os.path.join(".."))
if parent_file not in os.sys.path:
    os.sys.path.append(parent_file)

parent_file2=os.path.abspath(os.path.join(""))
if parent_file not in os.sys.path:
    os.sys.path.append(parent_file)

####################################
# parameters setting
####################################
# faction number with number as their names
num_faction=5
faction_name=list(range(num_faction))
# prob of born to be certain faction: CYLC/Shanghai/Princeling/Neutral
CYLC,Shanghai,Princeling,Military=[4.5/100,3.5/100,4.2/100,23.2/100]
# CYLC,Shanghai,Princeling,Military=[4.5/100,3.5/100,4.2/100,4/100]
#CYLC,Shanghai,Princeling=[0.3,0.3,0.3]
Neutral=1-CYLC-Shanghai-Princeling-Military
faction_prob=np.array([CYLC,Shanghai,Princeling,Military,Neutral])

ni=dict()
for i in range(num_faction):
    ni[i]=faction_prob[i]


# tree structure
# Top---> Bottom:  1,4,16,128,2048; that is to say, tree_num_child is orgnized from bottom to top
tree_num_child = np.array([1,9,3,3])    
level_number=len(tree_num_child)+1
num_bottom_level_node=np.prod(tree_num_child)
nodes_number_by_level=np.cumprod(np.append(np.array([1]),tree_num_child[::-1],axis=0))
politician_number_by_level=nodes_number_by_level*2


# seeds
with open('seed_true.pkl', 'rb') as f:
    seed_true= pickle.load(f)
with open('seed_estimate.pkl', 'rb') as f:
    seed_estimate= pickle.load(f)


# moments table
moments_table={ \
	'Leader_Faction0':['Faction premia: leader','CYLC'],
	'Leader_Faction1':['Faction premia: leader','Shanghai'],
	'Leader_Faction2':['Faction premia: leader','Princelings'],
	'Leader_Faction3':['Faction premia: leader','Military'],
	'PBSC_Faction0':['Faction premia: SC share','CYLC'],
	'PBSC_Faction1':['Faction premia: SC share','Shanghai'],
	'PBSC_Faction2':['Faction premia: SC share','Princelings'],
	'PBSC_Faction3':['Faction premia: SC share','Military'],	
	'Faction0':['Faction premia: intercept','CYLC'],
	'Faction1':['Faction premia: intercept','Shanghai'],
	'Faction2':['Faction premia: intercept','Princelings'],
	'Faction3':['Faction premia: intercept','Military'],
    'Ability':['Ability R-squared','total']}





